export default class CUI_ICON extends HTMLElement {

    constructor() {
        super();
    }

    async connectedCallback() {

        let sSource = this.getAttribute('src');

        if (sSource) {

            try {
    
                fetch(`/images/${sSource}.svg`)
                    .then(r => r.text())
                    .then(text => {
                        this.innerHTML = text;
                    })
                    .catch(console.error.bind(console));

            }
            catch(oError) {
    
                console.error(`Error while attempting to resolve icon: ${sSource}`);
            }
        }
        else {

            console.error(`CUI-Icon element existed, but was not passed a "src" attribute to load an icon.`);
        }


    }

}
